Generation Framework

## org.eclipse.gmf.mappings
Interface NeedsContainment

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ChildReference, LinkMapping, NodeReference, TopNodeReference

All Known Implementing Classes:
  ChildReferenceImpl, LinkMappingImpl, NodeReferenceImpl, TopNodeReferenceImpl

    public interface NeedsContainment

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Needs Containment'.

The following features are supported:

- `Containment Feature`

See Also:
  `GMFMapPackage.getNeedsContainment()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`org.eclipse.emf.ecore.EReference` `getContainmentFeature()` Returns the value of the 'Containment Feature' reference
`void` `setContainmentFeature(org.eclipse.emf.ecore.EReference value)` Sets the value of the '`Containment Feature`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContainmentFeature

    org.eclipse.emf.ecore.EReference getContainmentFeature()

  Returns the value of the 'Containment Feature' reference.

  If the meaning of the 'Containment Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Containment Feature' reference.
  See Also:
    `setContainmentFeature(EReference)`, `GMFMapPackage.getNeedsContainment_ContainmentFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not containmentFeature.oclIsUndefined() implies containmentFeature.containment' description='Containment EReference expected'"

### setContainmentFeature

    void setContainmentFeature(org.eclipse.emf.ecore.EReference value)

  Sets the value of the '`Containment Feature`' reference.

  Parameters:
    `value` - the new value of the 'Containment Feature' reference.
  See Also:
    `getContainmentFeature()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.